﻿{% extends "base.html" %}

{% block title %}Search Result{% endblock title %}

{% block content %}
    
    <div style="padding-top: 3%">
        <center>
        
        <form action="{% url 'search_result' 1 %}" method="POST" id="search" role="search"> {% csrf_token %}

            <div class="form-group-group" style="padding-left: 10%">
                <div class="input-group input-group-lg" style="padding-right: 10%">
                    <input type="text" name="search" id="search" class="form-control" placeholder='Search Blog'>
                    <span class="input-group-btn">
                        <button class="btn btn-default" type="submit">
                            <span class="glyphicon glyphicon-search"></span>
                        </button>
                    </span>
                </div><!-- /.input-group -->
            </div>
                
        </form>
            
        </center>
    </div>
    
    <div style="padding-top: 1%"> 
        <h3 align = "center"><strong>Showing result for '<i>{{ keyword }}</i> ' : </strong></h3>
    </div>
    
    {% if articles %}

        {% for article in articles %}

        <ul class="list-group">

                <li class="list-group-item text-muted"> <h2><a href="{% url 'article' article.id %}">{{ article.title }}</a></h2> </li>

                <li class="list-group-item text-muted"> <em>by <a href="#">{{ article.writer}}</a></em> </li>

                <li class="list-group-item text-muted"> <span class="pull-right"> {{ article.created }} </span>Category : <a href="{% url 'tag' article.category %}">{{ article.category}}</a> </li>

        </ul>

        {% endfor %}

        </div>
    
    {% else %}
    
        <div style="padding-top: 5%">
        
            <h3 align = "center" style="color: red"><strong>Sorry, We Couldn't Find Any Result!</strong></h3>
        </div>
    
    {% endif %}
    
    <div style="padding-bottom: 10%"></div>
    
{% endblock content%}
